--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: OPTIONS
  value: superclass::OPTIONS.dup << :through << :via
full_name: DataMapper::Associations::ManyToMany::Relationship
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: child_key
- !ruby/object:RI::MethodSummary 
  name: eager_load
- !ruby/object:RI::MethodSummary 
  name: links
- !ruby/object:RI::MethodSummary 
  name: query
- !ruby/object:RI::MethodSummary 
  name: source_scope
- !ruby/object:RI::MethodSummary 
  name: target_key
- !ruby/object:RI::MethodSummary 
  name: through
- !ruby/object:RI::MethodSummary 
  name: via
name: Relationship
superclass: Associations::OneToMany::Relationship
